Subject: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Dec 2016 19:30:13 +0200

> Date: Thu, 22 Dec 2016 09:35:19 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > Anyway, how about if we simply introduce a defcustom that would
>  > disable dynamic-setting-handle-config-changed-event from having any
>  > effect?  Or maybe people who don't want this feature should be advised
>  > to simply unbind this key binding:
>  >
>  >    (define-key special-event-map [config-changed-event]
>  >      'dynamic-setting-handle-config-changed-event)
> 
> One variable that should help here but whose semantics I haven't been
> able to grok is ‘font-use-system-font’.  It would be very helpful if
> someone who uses the dynamic-setting code could tell us how it is
> supposed to work.  Then we could decide how to en-/disable some of its
> features.

I agree, but I'm not sure we have anyone aboard who can tell.

Failing that, would unbinding the above solve the problem?  If so, we
could suggest that to people as workaround, until we find a proper
solution.

>  > In any case, Martin, I think you should install your patch on the
>  > emacs-25 branch.
> 
> Done.

Thanks.